// Smart_BlackDlg.h : header file
//

#if !defined(AFX_SMART_BLACKDLG_H__84D1977B_5D13_4EAF_AE6A_04D1BC66AC3D__INCLUDED_)
#define AFX_SMART_BLACKDLG_H__84D1977B_5D13_4EAF_AE6A_04D1BC66AC3D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CSmart_BlackDlg dialog

class CSmart_BlackDlg : public CDialog
{
// Construction
public:
	CSmart_BlackDlg(CWnd* pParent = NULL);	// standard constructor
	
	LONG m_hchann;
	BOOL CheckSerInfo();
	void AlarmProcess(int, int);
	void LinkProcess(int);

// Dialog Data
	//{{AFX_DATA(CSmart_BlackDlg)
	enum { IDD = IDD_SMART_BLACK_DIALOG };
	CStatic	m_videownd;
	CListCtrl	m_alarmlist;
	CString	m_sername;
	CString	m_url;
	int		m_port;
	CString	m_psw;
	CString	m_user;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSmart_BlackDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CSmart_BlackDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnSet();
	afx_msg void OnBtnPlay();
	afx_msg void OnBtnStop();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SMART_BLACKDLG_H__84D1977B_5D13_4EAF_AE6A_04D1BC66AC3D__INCLUDED_)
